> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fees

> Retrieves a paginated list of fees. By default, responses are paginated with 20 items per page.



## OpenAPI

````yaml /api-reference/openapi.json get /fees
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /fees:
    get:
      tags:
        - Fees
      summary: Get Fees
      description: >-
        Retrieves a paginated list of fees. By default, responses are paginated
        with 20 items per page.
      parameters:
        - name: page
          in: query
          schema:
            type:
              - integer
              - boolean
            default: 1
          description: 'Page number (default: 1). Set to `false` to disable pagination.'
        - name: perPage
          in: query
          schema:
            type: integer
            default: 20
          description: 'Number of items per page (default: 20).'
      responses:
        '200':
          description: Paginated list of fees
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedFeesResponse'
components:
  schemas:
    PaginatedFeesResponse:
      type: object
      description: Paginated response for fees list
      properties:
        total:
          type:
            - string
            - integer
          description: Total number of fees
        perPage:
          type: integer
          description: Number of items per page
        page:
          type: integer
          description: Current page number
        lastPage:
          type: integer
          description: Last available page number
        data:
          type: array
          description: Array of fees for the current page
          items:
            $ref: '#/components/schemas/Fee'
    Fee:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        estimate:
          type: number
          format: float
        work_order:
          type: string
        description:
          type: string
        frequency:
          type: integer
        status:
          type: string
          enum:
            - active
            - inactive
        estimated_time:
          type: integer
        start:
          type: string
          format: date
        end:
          type: string
          format: date
        currency_id:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````